aboutsummaryrefslogtreecommitdiffstats
path: root/t.smoke
diff options
context:
space:
mode:
Diffstat (limited to 't.smoke')
-rwxr-xr-xt.smoke11
1 files changed, 11 insertions, 0 deletions
diff --git a/t.smoke b/t.smoke
new file mode 100755
index 00000000..f7924a3c
--- /dev/null
+++ b/t.smoke
@@ -0,0 +1,11 @@
+#! /bin/sh
+
+# This is a rudimentary tests to see if fetchmail can parse a trivial
+# configuration and dump it in human-readable and machine-readable form.
+
+set -e
+cp "${srcdir}/t.rc" t.rc.$$
+chmod 0400 t.rc.$$
+./fetchmail -V -f t.rc.$$ >/dev/null
+./fetchmail --configdump -f t.rc.$$ >/dev/null
+rm -f t.rc.$$